const
  // libavcodec
  LIBAVCODEC_VERSION_MAJOR = 56;
  LIBAVCODEC_VERSION_MINOR = 26;
  LIBAVCODEC_VERSION_MICRO = 100;
  LIBAVCODEC_VERSION       = '56.26.100';
  LIBAVCODEC_VERSION_INT   = (LIBAVCODEC_VERSION_MAJOR shl 16) or
                             (LIBAVCODEC_VERSION_MINOR shl 8) or
                              LIBAVCODEC_VERSION_MICRO;
  LIBAVCODEC_BUILD         = LIBAVCODEC_VERSION_INT;
  LIBAVCODEC_IDENT         = 'Lavc' + LIBAVCODEC_VERSION;

(**
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *)

{$IFNDEF FF_API_VIMA_DECODER}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {DEFINE FF_API_VIMA_DECODER}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_REQUEST_CHANNELS}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_REQUEST_CHANNELS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_DECODE_AUDIO}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_OLD_DECODE_AUDIO}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_ENCODE_AUDIO}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_OLD_ENCODE_AUDIO}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_ENCODE_VIDEO}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_OLD_ENCODE_VIDEO}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CODEC_ID}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_CODEC_ID}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AUDIO_CONVERT}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_AUDIO_CONVERT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVCODEC_RESAMPLE}
  {$DEFINE FF_API_AUDIO_CONVERT}
{$ENDIF}
{$IFNDEF FF_API_DEINTERLACE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_DEINTERLACE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_DESTRUCT_PACKET}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_DESTRUCT_PACKET}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_GET_BUFFER}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_GET_BUFFER}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_MISSING_SAMPLE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_MISSING_SAMPLE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_LOWRES}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_LOWRES}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CAP_VDPAU}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_CAP_VDPAU}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_BUFS_VDPAU}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_BUFS_VDPAU}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_VOXWARE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_VOXWARE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_SET_DIMENSIONS}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_SET_DIMENSIONS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_DEBUG_MV}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_DEBUG_MV}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AC_VLC}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_AC_VLC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_MSMPEG4}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_OLD_MSMPEG4}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ASPECT_EXTENDED}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_ASPECT_EXTENDED}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_THREAD_OPAQUE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_THREAD_OPAQUE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CODEC_PKT}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_CODEC_PKT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ARCH_ALPHA}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_ARCH_ALPHA}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_XVMC}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_XVMC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ERROR_RATE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_ERROR_RATE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_QSCALE_TYPE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_QSCALE_TYPE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_MB_TYPE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_MB_TYPE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_MAX_BFRAMES}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_MAX_BFRAMES}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_NEG_LINESIZES}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_NEG_LINESIZES}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_EMU_EDGE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_EMU_EDGE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ARCH_SH4}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_ARCH_SH4}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ARCH_SPARC}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_ARCH_SPARC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_UNUSED_MEMBERS}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_UNUSED_MEMBERS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_IDCT_XVIDMMX}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_IDCT_XVIDMMX}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_INPUT_PRESERVED}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_INPUT_PRESERVED}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_NORMALIZE_AQP}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_NORMALIZE_AQP}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_GMC}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_GMC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_MV0}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_MV0}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CODEC_NAME}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_CODEC_NAME}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AFD}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_AFD}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_VISMV}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    (* XXX: don't forget to drop the -vismv documentation *)
    {$DEFINE FF_API_VISMV}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_DV_FRAME_PROFILE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 57}
    {$DEFINE FF_API_DV_FRAME_PROFILE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AUDIOENC_DELAY}
  {$IF LIBAVCODEC_VERSION_MAJOR < 58}
    {$DEFINE FF_API_AUDIOENC_DELAY}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVCTX_TIMEBASE}
  {$IF LIBAVCODEC_VERSION_MAJOR < 59}
    {$DEFINE FF_API_AVCTX_TIMEBASE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_MPV_OPT}
  {$IF LIBAVCODEC_VERSION_MAJOR < 59}
    {$DEFINE FF_API_MPV_OPT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_STREAM_CODEC_TAG}
  {$IF LIBAVCODEC_VERSION_MAJOR < 59}
    {$DEFINE FF_API_STREAM_CODEC_TAG}
  {$IFEND}
{$ENDIF}

  // libavdevice
  LIBAVDEVICE_VERSION_MAJOR = 56;
  LIBAVDEVICE_VERSION_MINOR = 4;
  LIBAVDEVICE_VERSION_MICRO = 100;
  LIBAVDEVICE_VERSION       = '56.4.100';
  LIBAVDEVICE_VERSION_INT   = (LIBAVDEVICE_VERSION_MAJOR shl 16) or
                              (LIBAVDEVICE_VERSION_MINOR shl 8) or
                               LIBAVDEVICE_VERSION_MICRO;
  LIBAVDEVICE_BUILD         = LIBAVDEVICE_VERSION_INT;
  LIBAVDEVICE_IDENT         = 'Lavc' + LIBAVDEVICE_VERSION;

(**
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *)

  // libavfilter
  LIBAVFILTER_VERSION_MAJOR  = 5;
  LIBAVFILTER_VERSION_MINOR  = 11;
  LIBAVFILTER_VERSION_MICRO  = 102;
  LIBAVFILTER_VERSION        = '5.11.102';
  LIBAVFILTER_VERSION_INT    = (LIBAVFILTER_VERSION_MAJOR shl 16) or
                               (LIBAVFILTER_VERSION_MINOR shl 8) or
                                LIBAVFILTER_VERSION_MICRO;
  LIBAVFILTER_BUILD          = LIBAVFILTER_VERSION_INT;
  LIBAVFILTER_IDENT          = 'Lavfi' + LIBAVFILTER_VERSION;

(**
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *)

{$IFNDEF FF_API_AVFILTERPAD_PUBLIC}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_AVFILTERPAD_PUBLIC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_FOO_COUNT}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_FOO_COUNT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVFILTERBUFFER}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_AVFILTERBUFFER}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_FILTER_OPTS}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_OLD_FILTER_OPTS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVFILTER_OPEN}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_AVFILTER_OPEN}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVFILTER_INIT_FILTER}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_AVFILTER_INIT_FILTER}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_FILTER_REGISTER}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_OLD_FILTER_REGISTER}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OLD_GRAPH_PARSE}
  {$IF LIBAVFILTER_VERSION_MAJOR < 5}
    {$DEFINE FF_API_OLD_GRAPH_PARSE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_NOCONST_GET_NAME}
  {$IF LIBAVFILTER_VERSION_MAJOR < 6}
    {$DEFINE FF_API_NOCONST_GET_NAME}
  {$IFEND}
{$ENDIF}

  // libavformat
  LIBAVFORMAT_VERSION_MAJOR = 56;
  LIBAVFORMAT_VERSION_MINOR = 25;
  LIBAVFORMAT_VERSION_MICRO = 101;
  LIBAVFORMAT_VERSION       = '56.25.101';
  LIBAVFORMAT_VERSION_INT   = (LIBAVFORMAT_VERSION_MAJOR shl 16) or
                              (LIBAVFORMAT_VERSION_MINOR shl 8) or
                               LIBAVFORMAT_VERSION_MICRO;
  LIBAVFORMAT_BUILD         = LIBAVFORMAT_VERSION_INT;
  LIBAVFORMAT_IDENT         = 'Lavf' + LIBAVFORMAT_VERSION;

(**
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *)

{$IFNDEF FF_API_LAVF_BITEXACT}
  {$IF LIBAVFORMAT_VERSION_MAJOR < 57}
   {$DEFINE FF_API_LAVF_BITEXACT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_LAVF_FRAC}
  {$IF LIBAVFORMAT_VERSION_MAJOR < 57}
   {$DEFINE FF_API_LAVF_FRAC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_LAVF_CODEC_TB}
  {$IF LIBAVFORMAT_VERSION_MAJOR < 57}
   {$DEFINE FF_API_LAVF_CODEC_TB}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_URL_FEOF}
  {$IF LIBAVFORMAT_VERSION_MAJOR < 57}
    {$DEFINE FF_API_URL_FEOF}
  {$IFEND}
{$ENDIF}

{$IFNDEF FF_API_R_FRAME_RATE}
  {$DEFINE FF_API_R_FRAME_RATE}
{$ENDIF}

  // libavutil
  LIBAVUTIL_VERSION_MAJOR = 54;
  LIBAVUTIL_VERSION_MINOR = 20;
  LIBAVUTIL_VERSION_MICRO = 100;
  LIBAVUTIL_VERSION       = '54.20.100';
  LIBAVUTIL_VERSION_INT   = (LIBAVUTIL_VERSION_MAJOR shl 16) or
                            (LIBAVUTIL_VERSION_MINOR shl 8) or
                             LIBAVUTIL_VERSION_MICRO;
  LIBAVUTIL_BUILD         = LIBAVUTIL_VERSION_INT;
  LIBAVUTIL_IDENT         = 'Lavu' + LIBAVUTIL_VERSION;

(**
 * @defgroup depr_guards Deprecation guards
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *
 * @{
 *)

{$IFNDEF FF_API_OLD_AVOPTIONS}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_OLD_AVOPTIONS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_PIX_FMT}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_PIX_FMT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CONTEXT_SIZE}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_CONTEXT_SIZE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_PIX_FMT_DESC}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_PIX_FMT_DESC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AV_REVERSE}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_AV_REVERSE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AUDIOCONVERT}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_AUDIOCONVERT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_CPU_FLAG_MMX2}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_CPU_FLAG_MMX2}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_LLS_PRIVATE}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_LLS_PRIVATE}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_AVFRAME_LAVC}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_AVFRAME_LAVC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_VDPAU}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_VDPAU}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_GET_CHANNEL_LAYOUT_COMPAT}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_GET_CHANNEL_LAYOUT_COMPAT}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_XVMC}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_XVMC}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_OPT_TYPE_METADATA}
  {$IF LIBAVUTIL_VERSION_MAJOR < 55}
    {$DEFINE FF_API_OPT_TYPE_METADATA}
  {$IFEND}
{$ENDIF}

{
#ifndef FF_CONST_AVUTIL55
#if LIBAVUTIL_VERSION_MAJOR >= 55
#define FF_CONST_AVUTIL55 const
#else
#define FF_CONST_AVUTIL55
#endif
#endif
}

(**
 * @}
 *)

  // libswresample
  LIBSWRESAMPLE_VERSION_MAJOR = 1;
  LIBSWRESAMPLE_VERSION_MINOR = 1;
  LIBSWRESAMPLE_VERSION_MICRO = 100;
  LIBSWRESAMPLE_VERSION       = '1.1.100';
  LIBSWRESAMPLE_VERSION_INT   = (LIBSWRESAMPLE_VERSION_MAJOR shl 16) or
                                (LIBSWRESAMPLE_VERSION_MINOR shl 8) or
                                 LIBSWRESAMPLE_VERSION_MICRO;
  LIBSWRESAMPLE_BUILD         = LIBSWRESAMPLE_VERSION_INT;
  LIBSWRESAMPLE_IDENT         = 'SwS' + LIBSWRESAMPLE_VERSION;

  // libswscale
  LIBSWSCALE_VERSION_MAJOR = 3;
  LIBSWSCALE_VERSION_MINOR = 1;
  LIBSWSCALE_VERSION_MICRO = 101;
  LIBSWSCALE_VERSION       = '3.1.101';
  LIBSWSCALE_VERSION_INT   = (LIBSWSCALE_VERSION_MAJOR shl 16) or
                             (LIBSWSCALE_VERSION_MINOR shl 8) or
                              LIBSWSCALE_VERSION_MICRO;
  LIBSWSCALE_BUILD         = LIBSWSCALE_VERSION_INT;
  LIBSWSCALE_IDENT         = 'SwS' + LIBSWSCALE_VERSION;

(**
 * FF_API_* defines may be placed below to indicate public API that will be
 * dropped at a future version bump. The defines themselves are not part of
 * the public API and may change, break or disappear at any time.
 *)

{$IFNDEF FF_API_SWS_CPU_CAPS}
  {$IF LIBSWSCALE_VERSION_MAJOR < 4}
    {$DEFINE FF_API_SWS_CPU_CAPS}
  {$IFEND}
{$ENDIF}
{$IFNDEF FF_API_ARCH_BFIN}
  {$IF LIBSWSCALE_VERSION_MAJOR < 4}
    {$DEFINE FF_API_ARCH_BFIN}
  {$IFEND}
{$ENDIF}

{$IFDEF MSWINDOWS}
  CLibPrefix = '';
  CLibConnector = '-';
  CLibExtension = '.dll';
  _PU = '';
{$ENDIF}
{$IFDEF POSIX}
  CLibPrefix = 'lib';
  CLibConnector = '.';
  CLibExtension = '.dylib';
  // On Mac OSX, cdecl names have a preceeding underscore
  // if x86 native backend.
  {$IF Defined(UNDERSCOREIMPORTNAME)}
    _PU = '_';
  {$ELSE}
    _PU = '';
  {$IFEND}
{$ENDIF}

  SLIBAVCODEC_VERSION_MAJOR    = '56';
  SLIBAVDEVICE_VERSION_MAJOR   = '56';
  SLIBAVFILTER_VERSION_MAJOR   = '5';
  SLIBAVFORMAT_VERSION_MAJOR   = '56';
  SLIBAVUTIL_VERSION_MAJOR     = '54';
  SLIBSWRESAMPLE_VERSION_MAJOR = '1';
  SLIBSWSCALE_VERSION_MAJOR    = '3';

  AVCODEC_LIBNAME    = CLibPrefix + 'avcodec'    + CLibConnector + SLIBAVCODEC_VERSION_MAJOR    + CLibExtension;
  AVDEVICE_LIBNAME   = CLibPrefix + 'avdevice'   + CLibConnector + SLIBAVDEVICE_VERSION_MAJOR   + CLibExtension;
  AVFILTER_LIBNAME   = CLibPrefix + 'avfilter'   + CLibConnector + SLIBAVFILTER_VERSION_MAJOR   + CLibExtension;
  AVFORMAT_LIBNAME   = CLibPrefix + 'avformat'   + CLibConnector + SLIBAVFORMAT_VERSION_MAJOR   + CLibExtension;
  AVUTIL_LIBNAME     = CLibPrefix + 'avutil'     + CLibConnector + SLIBAVUTIL_VERSION_MAJOR     + CLibExtension;
  SWRESAMPLE_LIBNAME = CLibPrefix + 'swresample' + CLibConnector + SLIBSWRESAMPLE_VERSION_MAJOR + CLibExtension;
  SWSCALE_LIBNAME    = CLibPrefix + 'swscale'    + CLibConnector + SLIBSWSCALE_VERSION_MAJOR    + CLibExtension;
